List companies
curl --request GET \
--url https://api.vendaze.com/v1/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vendaze.com/v1/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vendaze.com/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"full_name": "Acme Corp",
"emails": [
{
"email": "contact@acme.com",
"type": "work"
}
],
"phones": [
{
"phone": "+551130000000",
"type": "work"
}
],
"owner": {
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"email": "joao@company.com",
"name": "João Silva"
},
"avatar_url": null,
"entity_id": "g7wwkh0",
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z",
"custom_fields": []
}
],
"meta": {
"total": 85,
"page": 1,
"per_page": 50,
"has_more": true
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Companies
List companies
Returns a paginated list of companies in the workspace.
Required scope
Required scope
companies:read
GET
/
v1
/
companies
List companies
Authorizations
OAuth 2.1 access token.
Query Parameters
Page number.
Required range:
x >= 1Number of records per page. Maximum: 50.
Required range:
1 <= x <= 50Field to sort by.
Available options:
created_at, updated_at, full_name Sort direction.
Available options:
asc, desc Filter by company name (case-insensitive contains).
Filter by email address (exact match). Searches across all emails on the company.
Return records created on or after this ISO 8601 date.
Return records created on or before this ISO 8601 date.
Return records updated on or after this ISO 8601 date.
Return records updated on or before this ISO 8601 date.